mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true) To be added

Implements a serialization surrogate selector that allows one object to perform serialization and deserialization of another.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  Extracts data from object and stores it in the parameter.

  Having located the surrogate, this method stores information on the object in the parameter. This information describes its view of that object, including the object's fields, properties, and current values. The might correspond to the actual object, or it can be a synthesized view of the surrogate.

  This method is protected by a for the with the specified.

  Populates the provided with the data needed to serialize the object.

  The object to serialize. The to populate with data. The destination (see ) for this serialization.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` ``

  The method is called during deserialization. With this method, you can take the empty that has already been created, and enter data into that object. Constructors are not invoked during deserialization of information and reconstruction of the object.

  This method is protected by a for the with the specified.

  Populates the object using the information in the .

  The populated deserialized object.

  The object to populate. The information to populate the object. The source from which the object is deserialized. The surrogate selector where the search for a compatible surrogate begins.